# Source Generated with Decompyle++
# File: in.pyc (Python 1.3)

import sys

def help():
    print '\nTry the following:\n1. Remove any old "Python Preferences" files from the system folder.\n2. Remove any old "PythonCore" files from the system folder.\n3. Make sure this script, PythonPPC and PythonCore are all located in the\n   python home folder (where the Lib and PlugIns folders are)\n4. Run this script again, by dropping it on PythonPPC.\n\nIf this fails try removing starting afresh from the distribution archive.\n'
    sys.exit(1)


try:
    import os
except ImportError:
    print "\nI cannot import the 'os' module, so something is wrong with sys.path\n"
    help()


try:
    import Res
except ImportError:
    
    try:
        os.chdir(':PlugIns')
    except IOError:
        print "\nI cannot find the 'PlugIns' folder, so I am obviously not run from the Python\nhome folder.\n"
        help()

    import imp
    cwd = os.getcwd()
    tblibname = os.path.join(cwd, 'toolboxmodules.slb')
    if not os.path.exists(tblibname):
        print "\nI cannot find the 'toolboxmodules.slb' file in the PlugIns directory.\nStart afresh from a clean distribution. \n"
        sys.exit(1)
    
    
    try:
        for wtd in [
            'Ctl',
            'Dlg',
            'Evt',
            'Qd',
            'Res',
            'Win']:
            imp.load_dynamic(wtd, tblibname)
    except ImportError:
        print '\nI cannot load the toolbox modules by hand. Are you sure you are\nusing a PowerPC mac?\n'
        sys.exit(1)


import macfs
import EasyDialogs
import macostools
goals = [
    ('mactcp.slb', 'mactcpmodules.slb'),
    ('macdnr.slb', 'mactcpmodules.slb'),
    ('AE.slb', 'toolboxmodules.slb'),
    ('Cm.slb', 'toolboxmodules.slb'),
    ('Ctl.slb', 'toolboxmodules.slb'),
    ('Dlg.slb', 'toolboxmodules.slb'),
    ('Evt.slb', 'toolboxmodules.slb'),
    ('Fm.slb', 'toolboxmodules.slb'),
    ('Menu.slb', 'toolboxmodules.slb'),
    ('List.slb', 'toolboxmodules.slb'),
    ('Qd.slb', 'toolboxmodules.slb'),
    ('Qt.slb', 'toolboxmodules.slb'),
    ('Res.slb', 'toolboxmodules.slb'),
    ('Scrap.slb', 'toolboxmodules.slb'),
    ('Snd.slb', 'toolboxmodules.slb'),
    ('TE.slb', 'toolboxmodules.slb'),
    ('Win.slb', 'toolboxmodules.slb'),
    ('imgcolormap.slb', 'imgmodules.slb'),
    ('imgformat.slb', 'imgmodules.slb'),
    ('imggif.slb', 'imgmodules.slb'),
    ('imgjpeg.slb', 'imgmodules.slb'),
    ('imgop.slb', 'imgmodules.slb'),
    ('imgpbm.slb', 'imgmodules.slb'),
    ('imgpgm.slb', 'imgmodules.slb'),
    ('imgppm.slb', 'imgmodules.slb'),
    ('imgtiff.slb', 'imgmodules.slb'),
    ('imgsgi.slb', 'imgmodules.slb')]

def main():
    (dir, ok) = macfs.GetDirectory('Where is the PlugIns folder?')
    if not ok:
        sys.exit(0)
    
    os.chdir(dir.as_pathname())
    if EasyDialogs.AskYesNoCancel('Proceed with removing old aliases?') <= 0:
        sys.exit(0)
    
    LibFiles = []
    allfiles = os.listdir(':')
    for f in allfiles:
        if f[-4:] == '.slb':
            finfo = macfs.FSSpec(f).GetFInfo()
            if finfo.Flags & 32768:
                os.unlink(f)
            else:
                LibFiles.append(f)
        
    
    print LibFiles
    if EasyDialogs.AskYesNoCancel('Proceed with creating new ones?') <= 0:
        sys.exit(0)
    
    for dst, src in goals:
        pass
    
    EasyDialogs.Message('All done!')

if __name__ == '__main__':
    main()

